using System.Text.Json.Serialization;

namespace Quadarax.Foundation.Core.QMonitor.Console.Options
{
    internal class Configuration
    {
        [JsonPropertyName("general-uri")]
        public Uri GeneralUri { get; set; }
        [JsonPropertyName("data-uri")]
        public Uri DataUri { get; set; }

        public Configuration()
        {
            GeneralUri = new Uri(Quadarax.Foundation.Core.QMonitor.Constants.DefaultUriGeneral);
            DataUri = new Uri(Quadarax.Foundation.Core.QMonitor.Constants.DefaultUriData);
        }
    }
}
